<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

Tx_Extbase_Utility_Extension::registerPlugin($_EXTKEY, 'DUTournaments', 'Turnierliste');
Tx_Extbase_Utility_Extension::registerPlugin($_EXTKEY, 'DURanking', 'Ranking');
Tx_Extbase_Utility_Extension::registerPlugin($_EXTKEY, 'DUStatistic', 'Statistik');

t3lib_extMgm::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'Basic Configuration');

t3lib_extMgm::addLLrefForTCAdescr('tx_duranking_domain_model_tournament', 'EXT:du_ranking/Resources/Private/Language/locallang_csh_tx_duranking_domain_model_tournament.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_duranking_domain_model_tournament');
$TCA['tx_duranking_domain_model_tournament'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_tournament',
		'label' => 'tournament_date',
		'label_alt' => 'location',
		'label_alt_force' 	=> TRUE,
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'versioningWS' => 2,
		'versioning_followPages' => TRUE,
		'origUid' => 't3_origuid',
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/Tournament.php',
		'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_duranking_domain_model_tournament.gif'
	),
);

t3lib_extMgm::addLLrefForTCAdescr('tx_duranking_domain_model_positions', 'EXT:du_ranking/Resources/Private/Language/locallang_csh_tx_duranking_domain_model_positions.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_duranking_domain_model_positions');
$TCA['tx_duranking_domain_model_positions'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_positions',
		'label' => 'number',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'versioningWS' => 2,
		'versioning_followPages' => TRUE,
		'origUid' => 't3_origuid',
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/Positions.php',
		'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_duranking_domain_model_positions.gif'
	),
);

t3lib_extMgm::addLLrefForTCAdescr('tx_duranking_domain_model_season', 'EXT:du_ranking/Resources/Private/Language/locallang_csh_tx_duranking_domain_model_season.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_duranking_domain_model_season');
$TCA['tx_duranking_domain_model_season'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_season',
		'label' => 'name',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'versioningWS' => 2,
		'versioning_followPages' => TRUE,
		'origUid' => 't3_origuid',
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/Season.php',
		'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_duranking_domain_model_season.gif'
	),
);

//t3lib_extMgm::addLLrefForTCAdescr('tx_cfcleague_profiles', 'EXT:du_ranking/Resources/Private/Language/locallang_csh_tx_duranking_domain_model_person.xml');
/*t3lib_extMgm::allowTableOnStandardPages('tx_cfcleague_profiles');
$TCA['tx_cfcleague_profiles'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_person',
		'label' => 'first_name',
		'label_alt' => 'last_name',
		'label_alt_force' 	=> TRUE,
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden'
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/Person.php',
		'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_duranking_domain_model_person.gif'
	),
);

//t3lib_extMgm::addLLrefForTCAdescr('tt_address', 'EXT:du_ranking/Resources/Private/Language/locallang_csh_tx_duranking_domain_model_location.xml');
t3lib_extMgm::allowTableOnStandardPages('tt_address');
$TCA['tt_address'] = array (
	'ctrl' => array(
		'title'	=> 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_location',
		'label' => 'name',
		'label_alt' => 'email',
		'default_sortby' => 'ORDER BY name',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'thumbnail' => 'image',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden'
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/Location.php',
		'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_duranking_domain_model_location.gif'
	),
);
*/
?>